# Class Leader.PureRequestProposal

java.lang.Object
org.apache.zookeeper.server.quorum.SyncedLearnerTracker
org.apache.zookeeper.server.quorum.Leader.Proposal
org.apache.zookeeper.server.quorum.Leader.PureRequestProposal

Enclosing class:
  `Leader`

public static class Leader.PureRequestProposal extends Leader.Proposal

## Nested Class Summary

### Nested classes/interfaces inherited from class SyncedLearnerTracker

`SyncedLearnerTracker.QuorumVerifierAcksetPair`

## Field Summary

### Fields inherited from class Leader.Proposal

`request`

### Fields inherited from class SyncedLearnerTracker

`qvAcksetPairs`

## Constructor Summary

Constructors
Constructor
Description
`PureRequestProposal(Request request)`

## Method Summary

Modifier and Type
Method
Description
`QuorumPacket`
`getQuorumPacket()`
`long`
`getZxid()`
`String`
`toString()`

### Methods inherited from class Leader.Proposal

`getRequest`

### Methods inherited from class SyncedLearnerTracker

`ackSetsToString, addAck, addQuorumVerifier, hasAllQuorums, hasSid`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PureRequestProposal

public PureRequestProposal(Request request)

## Method Details

### getQuorumPacket

public QuorumPacket getQuorumPacket()

Overrides:
  `getQuorumPacket` in class `Leader.Proposal`

### getZxid

public long getZxid()

Overrides:
  `getZxid` in class `Leader.Proposal`

### toString

public String toString()

Overrides:
  `toString` in class `Leader.Proposal`